Index: /code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/command/CommandEvaluation.cc	(revision 10916)
@@ -306,6 +306,6 @@
                 // the user typed 1-2 arguments, check what he tried to type and print a suitable error
                 std::string groupLC = getLowercase(this->getToken(0));
-                for (const auto & elem : ConsoleCommandManager::getInstance().getCommandsLC())
-                    if (elem.first == groupLC)
+                for (const auto& mapEntry : ConsoleCommandManager::getInstance().getCommandsLC())
+                    if (mapEntry.first == groupLC)
                         return std::string("Error: There is no command in group \"") + this->getToken(0) + "\" starting with \"" + this->getToken(1) + "\".";
 
@@ -328,11 +328,11 @@
 
         // iterate through all groups and their commands and calculate the distance to the current command. keep the best.
-        for (const auto & elem : ConsoleCommandManager::getInstance().getCommandsLC())
-        {
-            if (elem.first != "")
-            {
-                for (std::map<std::string, ConsoleCommand*>::const_iterator it_name = elem.second.begin(); it_name != elem.second.end(); ++it_name)
-                {
-                    std::string command = elem.first + " " + it_name->first;
+        for (const auto& mapEntry : ConsoleCommandManager::getInstance().getCommandsLC())
+        {
+            if (mapEntry.first != "")
+            {
+                for (std::map<std::string, ConsoleCommand*>::const_iterator it_name = mapEntry.second.begin(); it_name != mapEntry.second.end(); ++it_name)
+                {
+                    std::string command = mapEntry.first + " " + it_name->first;
                     unsigned int distance = getLevenshteinDistance(command, token0_LC + " " + token1_LC);
                     if (distance < nearestDistance)
@@ -349,7 +349,7 @@
         if (it_group !=  ConsoleCommandManager::getInstance().getCommandsLC().end())
         {
-            for (const auto & elem : it_group->second)
-            {
-                std::string command = elem.first;
+            for (const auto& mapEntry : it_group->second)
+            {
+                std::string command = mapEntry.first;
                 unsigned int distance = getLevenshteinDistance(command, token0_LC);
                 if (distance < nearestDistance)
@@ -429,6 +429,6 @@
     {
         size_t count = 0;
-        for (const auto & elem : list)
-            if (elem.getComparable() != "")
+        for (const ArgumentCompletionListElement& element : list)
+            if (element.getComparable() != "")
                 ++count;
         return count;
@@ -495,13 +495,13 @@
         {
             // only one (non-empty) value in the list - search it and return it
-            for (const auto & elem : list)
-            {
-                if (elem.getComparable() != "")
+            for (const ArgumentCompletionListElement& element : list)
+            {
+                if (element.getComparable() != "")
                 {
                     // arguments that have a separate string to be displayed need a little more care - just return them without modification. add a space character to the others.
-                    if (elem.hasDisplay())
-                        return (elem.getString());
+                    if (element.hasDisplay())
+                        return (element.getString());
                     else
-                        return (elem.getString() + ' ');
+                        return (element.getString() + ' ');
                 }
             }
@@ -517,8 +517,8 @@
                 char tempComparable = '\0';
                 char temp = '\0';
-                for (const auto & elem : list)
-                {
-                    const std::string& argumentComparable = elem.getComparable();
-                    const std::string& argument = elem.getString();
+                for (const ArgumentCompletionListElement& element : list)
+                {
+                    const std::string& argumentComparable = element.getComparable();
+                    const std::string& argument = element.getString();
 
                     // ignore empty arguments
@@ -560,10 +560,10 @@
     {
         std::string output;
-        for (const auto & elem : list)
-        {
-            output += elem.getDisplay();
+        for (const ArgumentCompletionListElement& element : list)
+        {
+            output += element.getDisplay();
 
             // add a space character between two elements for all non-empty arguments
-            if (elem.getComparable() != "")
+            if (element.getComparable() != "")
                 output += ' ';
         }
Index: /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/command/ConsoleCommand.cc	(revision 10916)
@@ -75,6 +75,6 @@
         this->baseFunctor_ = executor->getFunctor();
 
-        for (auto & elem : this->argumentCompleter_)
-            elem = nullptr;
+        for (ArgumentCompleter*& completer : this->argumentCompleter_)
+            completer = nullptr;
 
         this->keybindMode_ = KeybindMode::OnPress;
Index: /code/branches/cpp11_v2/src/libraries/core/command/Shell.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/Shell.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/command/Shell.cc	(revision 10916)
@@ -258,5 +258,5 @@
         vectorize(text, '\n', &lines);
 
-        for (auto & line : lines)
+        for (const std::string& line : lines)
             this->addLine(line, type);
     }
Index: /code/branches/cpp11_v2/src/libraries/core/command/TclThreadList.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/TclThreadList.h	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/command/TclThreadList.h	(revision 10916)
@@ -262,6 +262,6 @@
         boost::shared_lock<boost::shared_mutex> lock(this->mutex_);
 
-        for (const auto & elem : this->list_)
-            if (elem == value)
+        for (const T& element : this->list_)
+            if (element == value)
                 return true;
 
Index: /code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc	(revision 10916)
@@ -551,7 +551,7 @@
 
         std::list<unsigned int> threads;
-        for (const auto & elem : this->interpreterBundles_)
-            if (elem.first > 0 && elem.first <= this->numInterpreterBundles_) // only list autonumbered interpreters (created with create()) - exclude the default interpreter 0 and all manually numbered interpreters)
-                threads.push_back(elem.first);
+        for (const auto& mapEntry : this->interpreterBundles_)
+            if (mapEntry.first > 0 && mapEntry.first <= this->numInterpreterBundles_) // only list autonumbered interpreters (created with create()) - exclude the default interpreter 0 and all manually numbered interpreters)
+                threads.push_back(mapEntry.first);
         return threads;
     }
Index: /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc	(revision 10916)
@@ -124,5 +124,5 @@
             std::string shortcut;
             std::string value;
-            for (auto & argument : arguments)
+            for (const std::string& argument : arguments)
             {
                 if (argument.size() != 0)
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10916)
@@ -234,9 +234,9 @@
         }
 
-        for (const auto & elem : this->sections_)
-        {
-            file << (elem)->getFileEntry() << endl;
-
-            for (std::list<ConfigFileEntry*>::const_iterator it_entries = (elem)->getEntriesBegin(); it_entries != (elem)->getEntriesEnd(); ++it_entries)
+        for (ConfigFileSection* section : this->sections_)
+        {
+            file << section->getFileEntry() << endl;
+
+            for (std::list<ConfigFileEntry*>::const_iterator it_entries = section->getEntriesBegin(); it_entries != section->getEntriesEnd(); ++it_entries)
                 file << (*it_entries)->getFileEntry() << endl;
 
@@ -278,9 +278,9 @@
         @brief Returns a pointer to the section with given name (or nullptr if the section doesn't exist).
     */
-    ConfigFileSection* ConfigFile::getSection(const std::string& section) const
-    {
-        for (const auto & elem : this->sections_)
-            if ((elem)->getName() == section)
-                return (elem);
+    ConfigFileSection* ConfigFile::getSection(const std::string& sectionName) const
+    {
+        for (ConfigFileSection* section : this->sections_)
+            if (section->getName() == sectionName)
+                return section;
         return nullptr;
     }
@@ -289,13 +289,13 @@
         @brief Returns a pointer to the section with given name. If it doesn't exist, the section is created.
     */
-    ConfigFileSection* ConfigFile::getOrCreateSection(const std::string& section)
-    {
-        for (auto & elem : this->sections_)
-            if ((elem)->getName() == section)
-                return (elem);
+    ConfigFileSection* ConfigFile::getOrCreateSection(const std::string& sectionName)
+    {
+        for (ConfigFileSection* section : this->sections_)
+            if (section->getName() == sectionName)
+                return section;
 
         this->bUpdated_ = true;
 
-        return (*this->sections_.insert(this->sections_.end(), new ConfigFileSection(section)));
+        return (*this->sections_.insert(this->sections_.end(), new ConfigFileSection(sectionName)));
     }
 
@@ -307,10 +307,10 @@
         bool sectionsUpdated = false;
 
-        for (auto & elem : this->sections_)
-        {
-            if ((elem)->bUpdated_)
+        for (ConfigFileSection* section : this->sections_)
+        {
+            if (section->bUpdated_)
             {
                 sectionsUpdated = true;
-                (elem)->bUpdated_ = false;
+                section->bUpdated_ = false;
             }
         }
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc	(revision 10916)
@@ -53,7 +53,7 @@
     ConfigFileManager::~ConfigFileManager()
     {
-        for (const auto & elem : this->configFiles_)
-            if (elem)
-                delete (elem);
+        for (ConfigFile* configFile : this->configFiles_)
+            if (configFile)
+                delete configFile;
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileSection.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileSection.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigFileSection.cc	(revision 10916)
@@ -80,8 +80,8 @@
     {
         unsigned int size = 0;
-        for (const auto & elem : this->entries_)
-            if ((elem)->getName() == name)
-                if ((elem)->getIndex() >= size)
-                    size = (elem)->getIndex() + 1;
+        for (ConfigFileEntry* entry : this->entries_)
+            if (entry->getName() == name)
+                if (entry->getIndex() >= size)
+                    size = entry->getIndex() + 1;
         return size;
     }
@@ -105,8 +105,8 @@
     ConfigFileEntry* ConfigFileSection::getEntry(const std::string& name) const
     {
-        for (const auto & elem : this->entries_)
+        for (ConfigFileEntry* entry : this->entries_)
         {
-            if ((elem)->getName() == name)
-                return elem;
+            if (entry->getName() == name)
+                return entry;
         }
         return nullptr;
@@ -121,8 +121,8 @@
     ConfigFileEntry* ConfigFileSection::getEntry(const std::string& name, unsigned int index) const
     {
-        for (const auto & elem : this->entries_)
+        for (ConfigFileEntry* entry : this->entries_)
         {
-            if (((elem)->getName() == name) && ((elem)->getIndex() == index))
-                return elem;
+            if ((entry->getName() == name) && (entry->getIndex() == index))
+                return entry;
         }
         return nullptr;
Index: /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.h	(revision 10916)
@@ -130,6 +130,6 @@
 
                 this->value_ = V();
-                for (auto & elem : defvalue)
-                    this->valueVector_.push_back(MultiType(elem));
+                for (const D& defvalueElement : defvalue)
+                    this->valueVector_.push_back(MultiType(defvalueElement));
 
                 this->initVector();
@@ -183,6 +183,6 @@
                     std::vector<T> temp = *value;
                     value->clear();
-                    for (auto & elem : this->valueVector_)
-                        value->push_back(elem);
+                    for (const MultiType& vectorEntry : this->valueVector_)
+                        value->push_back(vectorEntry);
 
                     if (value->size() != temp.size())
@@ -211,6 +211,6 @@
                 {
                     value->clear();
-                    for (auto & elem : this->valueVector_)
-                        value->push_back(elem);
+                    for (const MultiType& vectorEntry : this->valueVector_)
+                        value->push_back(vectorEntry);
                 }
                 return *this;
Index: /code/branches/cpp11_v2/src/libraries/core/input/Button.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/Button.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/input/Button.cc	(revision 10916)
@@ -196,11 +196,11 @@
 
                     // add command to the buffer if not yet existing
-                    for (auto & elem : *paramCommandBuffer_)
-                    {
-                        if (elem->evaluation_.getConsoleCommand()
+                    for (BufferedParamCommand* command : *paramCommandBuffer_)
+                    {
+                        if (command->evaluation_.getConsoleCommand()
                             == eval.getConsoleCommand())
                         {
                             // already in list
-                            cmd->paramCommand_ = elem;
+                            cmd->paramCommand_ = command;
                             break;
                         }
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputBuffer.cc	(revision 10916)
@@ -110,10 +110,10 @@
     void InputBuffer::insert(const std::string& input, bool update)
     {
-        for (auto & elem : input)
-        {
-            this->insert(elem, false);
+        for (const char& inputChar : input)
+        {
+            this->insert(inputChar, false);
 
             if (update)
-                this->updated(elem, false);
+                this->updated(inputChar, false);
         }
 
@@ -170,8 +170,8 @@
     void InputBuffer::updated()
     {
-        for (auto & elem : this->listeners_)
-        {
-            if ((elem)->bListenToAllChanges_)
-                (elem)->callFunction();
+        for (BaseInputBufferListenerTuple* listener : this->listeners_)
+        {
+            if (listener->bListenToAllChanges_)
+                listener->callFunction();
         }
     }
@@ -179,8 +179,8 @@
     void InputBuffer::updated(const char& update, bool bSingleInput)
     {
-        for (auto & elem : this->listeners_)
-        {
-            if ((!(elem)->trueKeyFalseChar_) && ((elem)->bListenToAllChanges_ || ((elem)->char_ == update)) && (!(elem)->bOnlySingleInput_ || bSingleInput))
-                (elem)->callFunction();
+        for (BaseInputBufferListenerTuple* listener : this->listeners_)
+        {
+            if ((!listener->trueKeyFalseChar_) && (listener->bListenToAllChanges_ || (listener->char_ == update)) && (!listener->bOnlySingleInput_ || bSingleInput))
+                listener->callFunction();
         }
     }
@@ -201,8 +201,8 @@
             return;
 
-        for (auto & elem : this->listeners_)
-        {
-            if ((elem)->trueKeyFalseChar_ && ((elem)->key_ == evt.getKeyCode()))
-                (elem)->callFunction();
+        for (BaseInputBufferListenerTuple* listener : this->listeners_)
+        {
+            if (listener->trueKeyFalseChar_ && (listener->key_ == evt.getKeyCode()))
+                listener->callFunction();
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10916)
@@ -158,12 +158,12 @@
 
             // Call all the states with the held button event
-            for (auto & button : pressedButtons_)
-                for (auto & state : inputStates_)
+            for (ButtonType& button : pressedButtons_)
+                for (InputState* state : inputStates_)
                     state->template buttonEvent<ButtonEvent::THold, typename Traits::ButtonTypeParam>(
                         this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
 
             // Call states with device update events
-            for (auto & elem : inputStates_)
-                elem->update(time.getDeltaTime(), this->getDeviceID());
+            for (InputState* state : inputStates_)
+                state->update(time.getDeltaTime(), this->getDeviceID());
 
             static_cast<DeviceClass*>(this)->updateImpl(time);
@@ -196,6 +196,6 @@
 
             // Call states
-            for (auto & elem : inputStates_)
-                elem->template buttonEvent<ButtonEvent::TPress, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
+            for (InputState* state : inputStates_)
+                state->template buttonEvent<ButtonEvent::TPress, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
         }
 
@@ -218,6 +218,6 @@
 
             // Call states
-            for (auto & elem : inputStates_)
-                elem->template buttonEvent<ButtonEvent::TRelease, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
+            for (InputState* state : inputStates_)
+                state->template buttonEvent<ButtonEvent::TRelease, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10916)
@@ -373,9 +373,9 @@
         // check whether a state has changed its EMPTY situation
         bool bUpdateRequired = false;
-        for (auto & elem : activeStates_)
-        {
-            if (elem.second->hasExpired())
-            {
-                elem.second->resetExpiration();
+        for (auto& mapEntry : activeStates_)
+        {
+            if (mapEntry.second->hasExpired())
+            {
+                mapEntry.second->resetExpiration();
                 bUpdateRequired = true;
             }
@@ -391,6 +391,6 @@
 
         // Collect function calls for the update
-        for (auto & elem : activeStatesTicked_)
-            elem->update(time.getDeltaTime());
+        for (InputState* state : activeStatesTicked_)
+            state->update(time.getDeltaTime());
 
         // Execute all cached function calls in order
@@ -401,6 +401,6 @@
         // If we delay the calls, then OIS and and the InputStates are not anymore
         // in the call stack and can therefore be edited.
-        for (auto & elem : this->callBuffer_)
-            elem();
+        for (auto& function : this->callBuffer_)
+            function();
 
         this->callBuffer_.clear();
@@ -437,13 +437,13 @@
         // Using an std::set to avoid duplicates
         std::set<InputState*> tempSet;
-        for (auto & elem : devices_)
-            if (elem != nullptr)
-                for (unsigned int iState = 0; iState < elem->getStateListRef().size(); ++iState)
-                    tempSet.insert(elem->getStateListRef()[iState]);
+        for (InputDevice* device : devices_)
+            if (device != nullptr)
+                for (unsigned int iState = 0; iState < device->getStateListRef().size(); ++iState)
+                    tempSet.insert(device->getStateListRef()[iState]);
 
         // Copy the content of the std::set back to the actual vector
         activeStatesTicked_.clear();
-        for (const auto & elem : tempSet)
-            activeStatesTicked_.push_back(elem);
+        for (InputState* state : tempSet)
+            activeStatesTicked_.push_back(state);
 
         // Check whether we have to change the mouse mode
Index: /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.cc	(revision 10916)
@@ -186,6 +186,6 @@
     void JoyStick::clearBuffersImpl()
     {
-        for (auto & elem : povStates_)
-            elem = 0;
+        for (int& state : povStates_)
+            state = 0;
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10916)
@@ -153,7 +153,7 @@
     void KeyBinder::buttonThresholdChanged()
     {
-        for (auto & elem : allHalfAxes_)
-            if (!elem->bButtonThresholdUser_)
-                elem->buttonThreshold_ = this->buttonThreshold_;
+        for (HalfAxis* halfAxis : allHalfAxes_)
+            if (!halfAxis->bButtonThresholdUser_)
+                halfAxis->buttonThreshold_ = this->buttonThreshold_;
     }
 
@@ -383,6 +383,6 @@
             it->second->clear();
 
-        for (auto & elem : paramCommandBuffer_)
-            delete elem;
+        for (BufferedParamCommand* command : paramCommandBuffer_)
+            delete command;
         paramCommandBuffer_.clear();
     }
@@ -394,7 +394,7 @@
     {
         // iterate over all buttons
-        for (const auto & elem : this->allButtons_)
-        {
-            Button* button = elem.second;
+        for (const auto& mapEntry : this->allButtons_)
+        {
+            Button* button = mapEntry.second;
 
             // iterate over all modes
@@ -465,6 +465,6 @@
         this->mousePosition_[1] = 0.0f;
 
-        for (auto & elem : mouseAxes_)
-            elem.reset();
+        for (HalfAxis& axis : mouseAxes_)
+            axis.reset();
     }
 
@@ -505,5 +505,5 @@
         }
 
-        for (auto & elem : mouseAxes_)
+        for (HalfAxis& axis : mouseAxes_)
         {
             // Why dividing relative value by dt? The reason lies in the simple fact, that when you
@@ -515,8 +515,8 @@
             {
                 // just ignore if dt == 0.0 because we have multiplied by 0.0 anyway..
-                elem.relVal_ /= dt;
-            }
-
-            tickHalfAxis(elem);
+                axis.relVal_ /= dt;
+            }
+
+            tickHalfAxis(axis);
         }
     }
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h	(revision 10916)
@@ -226,13 +226,13 @@
     {
         // execute all buffered bindings (additional parameter)
-        for (auto & elem : paramCommandBuffer_)
+        for (BufferedParamCommand* command : paramCommandBuffer_)
         {
-            elem->rel_ *= dt;
-            elem->execute();
+            command->rel_ *= dt;
+            command->execute();
         }
 
         // always reset the relative movement of the mouse
-        for (auto & elem : mouseAxes_)
-            elem.relVal_ = 0.0f;
+        for (HalfAxis& axis : mouseAxes_)
+            axis.relVal_ = 0.0f;
     }
 }// tolua_export
Index: /code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc	(revision 10916)
@@ -82,6 +82,6 @@
             IntVector2 rel(e.state.X.rel, e.state.Y.rel);
             IntVector2 clippingSize(e.state.width, e.state.height);
-            for (auto & elem : inputStates_)
-                elem->mouseMoved(abs, rel, clippingSize);
+            for (InputState* state : inputStates_)
+                state->mouseMoved(abs, rel, clippingSize);
         }
 
@@ -89,6 +89,6 @@
         if (e.state.Z.rel != 0)
         {
-            for (auto & elem : inputStates_)
-                elem->mouseScrolled(e.state.Z.abs, e.state.Z.rel);
+            for (InputState* state : inputStates_)
+                state->mouseScrolled(e.state.Z.abs, e.state.Z.rel);
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc	(revision 10916)
@@ -75,8 +75,8 @@
     {
         // Unload & delete resources in turn
-        for (auto & elem : mLibList)
+        for (auto& mapEntry : mLibList)
         {
-            elem.second->unload();
-            delete elem.second;
+            mapEntry.second->unload();
+            delete mapEntry.second;
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/module/ModuleInstance.cc	(revision 10916)
@@ -59,6 +59,6 @@
     {
         const std::set<StaticallyInitializedInstance*>& instances = this->staticallyInitializedInstancesByType_[type];
-        for (const auto & instance : instances)
-            (instance)->load();
+        for (StaticallyInitializedInstance* instance : instances)
+            instance->load();
     }
 
@@ -75,6 +75,6 @@
         std::map<StaticInitialization::Type, std::set<StaticallyInitializedInstance*>> copy(this->staticallyInitializedInstancesByType_);
         this->staticallyInitializedInstancesByType_.clear();
-        for (auto & elem : copy)
-            for (std::set<StaticallyInitializedInstance*>::iterator it2 = elem.second.begin(); it2 != elem.second.end(); ++it2)
+        for (auto& mapEntry : copy)
+            for (std::set<StaticallyInitializedInstance*>::iterator it2 = mapEntry.second.begin(); it2 != mapEntry.second.end(); ++it2)
                 delete (*it2);
     }
Index: /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10916)
@@ -59,8 +59,8 @@
         ModifyConsoleCommand("PluginManager", __CC_PluginManager_unload_name).setObject(nullptr);
 
-        for (auto & elem : this->references_)
-            delete elem.second;
-        for (auto & elem : this->plugins_)
-            delete elem.second;
+        for (auto& mapEntry : this->references_)
+            delete mapEntry.second;
+        for (auto& mapEntry : this->plugins_)
+            delete mapEntry.second;
     }
 
@@ -68,8 +68,7 @@
     {
         const std::vector<std::string>& pluginPaths = ApplicationPaths::getInstance().getPluginPaths();
-        for (auto libraryName : pluginPaths)
+        for (const std::string& libraryName : pluginPaths)
         {
             std::string name;
-            
             std::string filename = libraryName +  + specialConfig::pluginExtension;
             std::ifstream infile(filename.c_str());
Index: /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc	(revision 10916)
@@ -50,6 +50,6 @@
     {
         // attention: loading a module may add new handlers to the list
-        for (auto & elem : this->handlers_)
-            (elem)->loadModule(module);
+        for (StaticInitializationHandler* handler : this->handlers_)
+            handler->loadModule(module);
     }
 
Index: /code/branches/cpp11_v2/src/libraries/core/object/Context.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/Context.cc	(revision 10915)
+++ /code/branches/cpp11_v2/src/libraries/core/object/Context.cc	(revision 10916)
@@ -70,6 +70,6 @@
         // unregister context from object lists before object lists are destroyed
         this->unregisterObject();
-        for (auto & elem : this->objectLists_)
-            delete elem;
+        for (ObjectListBase* objectList : this->objectLists_)
+            delete objectList;
     }
 
